classification
Title: PEP 3121 refactoring applied to audioop module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, loewis, vstinner
Priority: normal Keywords: patch, pep3121

Created on 2012-08-16 08:21 by Robin.Schreiber, last changed 2020-09-07 13:48 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
audioop_pep3121_v0.patch Robin.Schreiber, 2012-08-16 08:21
Messages (3)
msg168353 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 08:21
Changes proposed in PEP3121 have now been applied to the audioop module!
msg220645 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-15 15:03
Could somebody review the attached patch please.
msg376483 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-07 13:48
Fixed by:

commit 41fbf865a35d4fb64f047f98dc24690cb0c170fd
Author: Hai Shi <shihai1992@gmail.com>
Date:   Thu Mar 12 00:49:11 2020 +0800

    bpo-1635741: Port audioop extension module to multiphase initialization (PEP 489) (GH-18608)
    
    Co-authored-by: Victor Stinner <vstinner@python.org>
History
Date User Action Args
2020-09-07 13:48:02vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg376483
resolution: duplicate
stage: patch review -> resolved
2019-03-15 23:13:51BreamoreBoysetnosy: - BreamoreBoy
2014-06-15 15:03:08BreamoreBoysetnosy: + BreamoreBoy
messages: + msg220645
2012-11-08 23:29:42ezio.melottisetkeywords: + patch
stage: patch review
2012-11-08 13:50:31Robin.Schreibersetkeywords: + pep3121, - patch
nosy: + loewis
2012-08-27 03:42:36belopolskylinkissue15787 dependencies
2012-08-16 08:21:54Robin.Schreibercreate